/*
	STM32F0DISCOVERY
	Trivial blinker - very first project
	gbm, 12'2012
*/

#include "stm32f0xx.h"
//========================================================================
// defs for STM32F05x chips
#define GPIO_MODER_OUT	1
//========================================================================
// defs for STM32F0DISCOVERY board
#define LED_PORT		GPIOC
#define BLUE_LED_BIT	8
#define GREEN_LED_BIT	9
//========================================================================
void SystemInit(void)
{
}
//========================================================================
int main(void)
{
	uint32_t i;
	
	// port setup
	RCC->AHBENR = RCC_AHBENR_GPIOCEN;	// turn on GPIOC
	LED_PORT->MODER = GPIO_MODER_OUT << (GREEN_LED_BIT << 1)
		| GPIO_MODER_OUT << (BLUE_LED_BIT << 1);	// LED pins as outputs
	LED_PORT->ODR = 1 << GREEN_LED_BIT;	// green initially ON
	
	for (;;)
	{
		for (i = 0; i < 1000000; i ++);	// quick-and-dirty delay
		// toggle both LEDs
		LED_PORT->ODR ^= 1 << GREEN_LED_BIT | 1 << BLUE_LED_BIT;
	}
}
